Skip to content

getSummaryPurchaseInvoiceLine

Request

Query
groupBystring
Default:""
Bodyapplication/jsonrequired
conditionsArray of objects(ApiCondition)

List of conditions to be applied with AND logic

Default:""
orConditionsArray of objects(ApiCondition)

List of conditions to be applied with OR logic

Default:""
sortCriteriaArray of objects(ApiSortDto)

List of sorting criteria for search results

Default:""
pageNumberinteger, (int32)required

Page number to retrieve (zero-based)

Default:""
pageSizeinteger, (int32)required

Page size (number of elements to retrieve, default 20)

Default:""
POST
/api/v1/purchaseInvoiceLine/summary
curl -i -X POST \
  'https://api.prana.software/api/v1/purchaseInvoiceLine/summary?groupBy=' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
groupByArray of strings

Fields by which the results are grouped

Default:""
Example:
[ "article.code", "purchaseDeliveryNote.supplier.code" ]
rowsArray of objects
Response
// No response example